## org.apache.myfaces.context.portlet
Class InitParameterMap

    java.lang.Object
      org.apache.myfaces.context.servlet.AbstractAttributeMap
          org.apache.myfaces.context.portlet.InitParameterMap

All Implemented Interfaces:
  java.util.Map

public class InitParameterMap
extends AbstractAttributeMap

ServletContext init parameters as Map.

Version:
  $Revision: 278654 $ $Date: 2005-09-04 20:32:35 -0400 (Sun, 04 Sep 2005) $
Author:
  Stan Silvert (latest modification by $Author: oros $)

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Method Summary
`void` `clear()`
`boolean` `equals(java.lang.Object o)`
`protected java.lang.Object` `getAttribute(java.lang.String key)`
`protected java.util.Enumeration` `getAttributeNames()`
`int` `hashCode()`
`void` `putAll(java.util.Map t)`
`protected void` `removeAttribute(java.lang.String key)`
`protected void` `setAttribute(java.lang.String key, java.lang.Object value)`

Methods inherited from class org.apache.myfaces.context.servlet.AbstractAttributeMap
`containsKey, containsValue, entrySet, get, isEmpty, keySet, put, remove, size, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAttribute

    protected java.lang.Object getAttribute(java.lang.String key)

  Specified by:
    `getAttribute` in class `AbstractAttributeMap`

### setAttribute

    protected void setAttribute(java.lang.String key,
                                java.lang.Object value)

  Specified by:
    `setAttribute` in class `AbstractAttributeMap`

### removeAttribute

    protected void removeAttribute(java.lang.String key)

  Specified by:
    `removeAttribute` in class `AbstractAttributeMap`

### getAttributeNames

    protected java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in class `AbstractAttributeMap`

### equals

    public boolean equals(java.lang.Object o)

### hashCode

    public int hashCode()

### putAll

    public void putAll(java.util.Map t)

  Specified by:
    `putAll` in interface `java.util.Map`
  Overrides:
    `putAll` in class `AbstractAttributeMap`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `AbstractAttributeMap`